### Struct

# Clutter ActorBox

#### Description [src]

    struct ClutterActorBox {
      gfloat x1;
      gfloat y1;
      gfloat x2;
      gfloat y2;
    }

Bounding box of an actor.

The coordinates of the top left and right bottom corners of an actor. The coordinates of the two points are expressed in pixels with sub-pixel precision.

###### Structure members

`x1`

  X coordinate of the top left corner.

`y1`

  Y coordinate of the top left corner.

`x2`

  X coordinate of the bottom right corner.

`y2`

  Y coordinate of the bottom right corner.

#### Constructors

###### clutter_actor_box_new

Allocates a new `ClutterActorBox` using the passed coordinates for the top left and bottom right points.

#### Functions

###### clutter_actor_box_alloc

Allocates a new `ClutterActorBox`.

###### clutter_actor_box_clamp_to_pixel

Clamps the components of `box` to the nearest integer.

#### Instance methods

###### clutter_actor_box_contains

Checks whether a point with `x`, `y` coordinates is contained within `box`.

###### clutter_actor_box_copy

Copies `box`.

###### clutter_actor_box_equal

Checks `box_a` and `box_b` for equality.

###### clutter_actor_box_free

Frees a `ClutterActorBox` allocated using `clutter_actor_box_new()` or `clutter_actor_box_copy()`.

###### clutter_actor_box_from_vertices

Calculates the bounding box represented by the four vertices; for details of the vertex array see `clutter_actor_get_abs_allocation_vertices()`.

###### clutter_actor_box_get_area

Retrieves the area of `box`.

###### clutter_actor_box_get_height

Retrieves the height of the `box`.

###### clutter_actor_box_get_origin

Retrieves the origin of `box`.

###### clutter_actor_box_get_size

Retrieves the size of `box`.

###### clutter_actor_box_get_width

Retrieves the width of the `box`.

###### clutter_actor_box_get_x

Retrieves the X coordinate of the origin of `box`.

###### clutter_actor_box_get_y

Retrieves the Y coordinate of the origin of `box`.

###### clutter_actor_box_init

Initializes `box` with the given coordinates.

###### clutter_actor_box_init_rect

Initializes `box` with the given origin and size.

###### clutter_actor_box_interpolate

Interpolates between `initial` and `final` `ClutterActorBox`es using `progress`.

###### clutter_actor_box_is_initialized

Checks if `box` has been initialized, a `ClutterActorBox` is uninitialized if it has a size of -1 at an origin of 0, 0.

###### clutter_actor_box_scale

Rescale the `box` by provided `scale` factor.

###### clutter_actor_box_set_origin

Changes the origin of `box`, maintaining the size of the `ClutterActorBox`.

###### clutter_actor_box_set_size

Sets the size of `box`, maintaining the origin of the `ClutterActorBox`.

###### clutter_actor_box_union

Unions the two boxes `a` and `b` and stores the result in `result`.